#include "ObjMesh.h"
#include "PlayerShip.h"

struct sIsland
{
       sVector pos;
       sVector rotation;
       int islandType;
};

class CIsland
{
      
private:
      CObjMesh model[4];
      CLinkedList islandList;
      CPlayerShip *playerShip;
      bool generate;
      
public:
       
      void update();
      void Render();
      void addIsland(sVector pos);
      void setGenerate(bool generate);
      
      CIsland();
      ~CIsland();
};
